## ros-rolling-nao-lola-client 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(nao_lola_client)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(
  include
  external/msgpack-c/include
)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(nao_lola_sensor_msgs REQUIRED)
find_package(nao_lola_command_msgs REQUIRED)
find_package(Boost COMPONENTS system program_options filesystem REQUIRED)

# build msgpack_parser_lib
add_library(msgpack_parser_lib SHARED
  src/msgpack_parser.cpp)

ament_target_dependencies(msgpack_parser_lib
  rclcpp
  nao_lola_sensor_msgs
  Boost)

# build msgpack_packer_lib
add_library(msgpack_packer_lib SHARED
  src/msgpack_packer.cpp)

ament_target_dependencies(msgpack_packer_lib
  rclcpp
  nao_lola_command_msgs
  Boost)

# build nao_lola_client
add_executable(nao_lola_client
  src/nao_lola_client_node.cpp
  src/nao_lola_client.cpp
  src/connection.cpp)

target_link_libraries(nao_lola_client
  msgpack_parser_lib
  msgpack_packer_lib)

# Install
install(TARGETS
  nao_lola_client
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(
  TARGETS msgpack_parser_lib msgpack_packer_lib
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-nao-lola-client (1.1.1-1jammy) jammy; urgency=high

  * revert msgpack-c commit to match those in the iron branch, because newer version of msgpack-c is crashing LoLA
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 23 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-client (1.1.0-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-client (1.0.0-1jammy) jammy; urgency=high

  * Migrate nao_lola across to nao_lola/nao_lola_client
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Aug 2023 00:00:00 -0000

ros-rolling-nao-lola-client (0.3.1-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 20 May 2023 00:00:00 -0000

ros-rolling-nao-lola-client (0.3.0-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-nao-lola-client (0.2.0-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 21 Jul 2022 00:00:00 -0000

ros-rolling-nao-lola-client (0.0.4-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 04 Feb 2022 00:00:00 -0000

ros-rolling-nao-lola-client (0.0.3-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 29 Jul 2021 00:00:00 -0000

ros-rolling-nao-lola-client (0.0.2-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 20 Jul 2021 00:00:00 -0000

ros-rolling-nao-lola-client (0.0.1-1jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 17 Jul 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-nao-lola-client
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-nao-lola-command-msgs, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-nao-lola-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-rolling-nao-lola-command-msgs, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Packages that allow communicating with the NAO's Lola middle-ware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-nao-lola-client//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
